# ListExchanges

List all exchange pairs.

This method will use `30` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

* visible - Boolean - Optional. Specifies whether the address is in Base58 format

## **Returns**

exchanges - List\<ExchangeCapsule> : All exchange pair list

For each parameter of the exchange pair, please refer to [GetExchangeById](https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/dex-exchange/getexchangebyid)

```json
// Result
{
  "exchanges": [
    {
      "exchange_id": 13,
      "creator_address": "TYcreJYns6CbQqmS6uoRcMVdLAw8BwPTVp",
      "create_time": 1666249650000,
      "first_token_id": "1001333",
      "first_token_balance": 10054,
      "second_token_id": "_",
      "second_token_balance": 11930
    },
    {
      "exchange_id": 12,
      "creator_address": "TA1g2WQiXbU5GnYBTJ5Cp22dvSjT3ug9uK",
      "create_time": 1645510920000,
      "first_token_id": "1000487",
      "first_token_balance": 200,
      "second_token_id": "1000001",
      "second_token_balance": 50
    },
    {
      "exchange_id": 11,
      "creator_address": "TXU6NSZZ6zJpnknYr2AdmJEhMmRpXw2ZjT",
      "create_time": 1602662358000,
      "first_token_id": "1000408",
      "second_token_id": "_"
    },
    ...
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/listexchanges \
    -X GET
```

{% endtab %}
{% endtabs %}
